#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAD,0xF4,0x89,0x9D,0xCC,0x69,0xB4,0xDE,0x34,0xF1,0xDA,0x85,
		0x40,0xC2,0x5C,0xD1,0xC8,0xE4,0xCB,0xC2,0x12,0x28,0x6C,0x1B,
		0x62,0x8D,0xE6,0x2F,0x99,0x5A,0x8B,0x67,0xCF,0xBF,0xBC,0xB7,
		0xA6,0xDB,0x53,0xE4,0x71,0x0F,0x95,0x68,0x43,0xB0,0x58,0xE3,
		0xCC,0xCC,0x2F,0x23,0xC3,0xFB,0xB0,0xAF,0x28,0x8F,0x47,0x5B,
		0x4F,0x69,0xA5,0x03,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
